%global pyname pystache

Name:           python-pystache
Version:        0.5.4
Release:        %mkrel 2
Summary:        Mustache for Python
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/pystache/
Source0:        https://pypi.io/packages/source/p/%{pyname}/%{pyname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
# For the test
BuildRequires:  python3-simplejson

%description
Inspired by ctemplate and et, Mustache is a framework-agnostic way to render
logic-free views.

As ctemplates says, "It emphasizes separating logic from presentation: it is
impossible to embed application logic in this template language."

%package -n python3-%{pyname}
Group:          Development/Python
Summary:        Mustache for Python
Requires:       python3-simplejson
%{?python_provide:%python_provide python3-%{pyname}}

%description -n python3-%{pyname}
Inspired by ctemplate and et, Mustache is a framework-agnostic way to render
logic-free views.

As ctemplates says, "It emphasizes separating logic from presentation: it is
impossible to embed application logic in this template language."

%prep
%setup -q -n %{pyname}-%{version}
rm -fvr %{pyname}.egg-info

find . -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%build
%py3_build

%install
%py3_install

%check
#%%{__python3} -m pystache.commands.test

%files -n python3-%{pyname}
%doc PKG-INFO HISTORY.md README.md LICENSE
%{python3_sitelib}/%{pyname}/
%{python3_sitelib}/%{pyname}-%{version}-py?.?.egg-info
%{_bindir}/%{pyname}
%{_bindir}/%{pyname}-test


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.5.4-2.mga8
+ Revision: 1533510
- Mageia 8 Mass Rebuild

* Sun Sep 22 2019 daviddavid <daviddavid> 0.5.4-1.mga8
+ Revision: 1444564
- rebuild for python3.8
- drop python2 support

* Thu Jan 10 2019 shlomif <shlomif> 0.5.4-1.mga7
+ Revision: 1354007
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.5.3-6.mga7
+ Revision: 1289808
- Mageia 7 Mass Rebuild

* Mon Jan 01 2018 wally <wally> 0.5.3-5.mga7
+ Revision: 1188612
- don't require python3 pkgs in python2 pkg

* Sat Aug 05 2017 pterjan <pterjan> 0.5.3-4.mga7
+ Revision: 1135585
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 0.5.3-3.mga6
+ Revision: 971131
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 0.5.3-2.mga6
+ Revision: 889302
- rebuild for python 3.5

* Fri Aug 07 2015 joequant <joequant> 0.5.3-1.mga6
+ Revision: 861544
- move pystache to python-pystache
- imported package pystache

